<?php

add_action( 'customize_register' , array( 'tz_customizer' , 'register' ) );
class tz_customizer {
  public static function register ( $wp_customize ) {
    $wp_customize->add_panel( 'themezy', array(
      'priority'       => 5,
      'capability'     => 'edit_theme_options',
      'theme_supports' => '',
      'title'          => 'Themezy',
      'description'    => __( 'Several settings pertaining on the theme', 'schools' ),
    ) );

    $wp_customize->add_section( 'tz_general',
       array(
          'title' => __( 'General', 'schools' ),
          'priority' => 35,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize some general settings for the theme.', 'schools' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_logo', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_logo', array(
        'label'    => __( 'Logo', 'schools' ),
        'section'  => 'tz_general',
        'settings' => 'tz_logo',
    ) ) );

    // $wp_customize->add_setting( 'tz_home_intro_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    // $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_home_intro_title', array(
    //     'label'    => __( 'Intro title (home)', 'schools' ),
    //     'section'  => 'tz_general',
    //     'settings' => 'tz_home_intro_title',
    // ) ) );

    // $wp_customize->add_setting( 'tz_home_intro_description', array( 'sanitize_callback' => 'esc_textarea' ) );

    // $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_home_intro_description', array(
    //     'label'    => __( 'Intro description (home)', 'schools' ),
    //     'section'  => 'tz_general',
    //     'settings' => 'tz_home_intro_description',
    // ) ) );

    $wp_customize->add_setting( 'tz_news_page', array( 'sanitize_callback' => 'esc_html' ) );

    $wp_customize->add_control( new Page_Dropdown_Custom_Control( $wp_customize, 'tz_news_page', array(
        'label'    => __( 'Select your news page', 'schools' ),
        'section'  => 'tz_general',
        'settings' => 'tz_news_page',
    ) ) );

    $wp_customize->add_section( 'tz_contact',
       array(
          'title' => __( 'Contact', 'schools' ),
          'priority' => 45,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize contact template.', 'schools' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_contact_button_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_contact_button_title', array(
        'type'     => 'text',
        'label'    => __( 'Contact button title', 'schools' ),
        'section'  => 'tz_contact',
        'settings' => 'tz_contact_button_title',
    ) ) );

    $wp_customize->add_setting( 'tz_contact_button_description', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_contact_button_description', array(
        'type'     => 'text',
        'label'    => __( 'Contact button description', 'schools' ),
        'section'  => 'tz_contact',
        'settings' => 'tz_contact_button_description',
    ) ) );

    $wp_customize->add_setting( 'tz_contact_email', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_contact_email', array(
        'type'     => 'text',
        'label'    => __( 'Your contact email', 'schools' ),
        'section'  => 'tz_contact',
        'settings' => 'tz_contact_email',
    ) ) );

    $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
    $wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    $wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
   }
}
