<?php

add_action( 'widgets_init', create_function( '', 'register_widget("tz_contact_widget");' ) );
class tz_contact_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			'tz_contact_widget',
			__( 'TZ Contact', 'schools' ),
			array(
				'classname' => 'tz_widget_contact',
				'description' => __( 'Widget to displaying your contact.', 'schools' )
			)
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		$address = $instance['address'];
		$phone = $instance['phone'];
		$email = $instance['email'];

		echo '<article class="col-1">';

		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
	<ul>
		<li class="address"><a href=""><?php echo $address; ?></a></li>
		<li class="mail"><a href="mailto:<?php echo $email; ?>"><?php echo $email; ?></a></li>
		<li class="phone last"><a href=""><?php echo $phone; ?></a></li>
	</ul>
<?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$defaults = array(
			'title' => __( 'Contact', 'schools' ),
			'address' => '',
			'phone' => '',
			'email' => '',
		);

		$instance = wp_parse_args( ( array ) $instance, $defaults );
?>
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'schools' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'address' ); ?>"><?php _e( 'Address:', 'schools' ); ?></label>
		<textarea style="height:200px;" class="widefat" id="<?php echo $this->get_field_id( 'address' ); ?>" name="<?php echo $this->get_field_name( 'address' ); ?>"><?php echo stripslashes( htmlspecialchars( ( $instance['address'] ), ENT_QUOTES ) ); ?></textarea>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'phone' ); ?>"><?php _e( 'Phone:', 'schools' ); ?></label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'phone' ); ?>" name="<?php echo $this->get_field_name( 'phone' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['phone'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'email' ); ?>"><?php _e( 'Email:', 'schools' ); ?></label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'email' ); ?>" name="<?php echo $this->get_field_name( 'email' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['email'] ), ENT_QUOTES ) ); ?>" />
	</p>
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['address'] = stripslashes( $new_instance['address'] );
		$instance['phone'] = stripslashes( $new_instance['phone'] );
		$instance['email'] = stripslashes( $new_instance['email'] );

		return $instance;
	}
}

?>
