<?php

add_action( 'widgets_init', create_function( '', 'register_widget("tz_social_widget");' ) );
class tz_social_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			'tz_social_widget',
			__( 'TZ Social', 'schools' ),
			array(
				'classname' => 'tz_widget_social',
				'description' => __( 'Widget to displaying your social.', 'schools' )
			)
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		$text = $instance['text'];
		$facebook = $instance['facebook'];
		$google_plus = $instance['google_plus'];
		$twitter = $instance['twitter'];
		$pinterest = $instance['pinterest'];

		echo '<article class="col-3">';

		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
	<p><?php echo $text; ?></p>
	<ul>
		<?php if ( $facebook ) { ?><li class="facebook"><a href="http://facebook.com/<?php echo $facebook; ?>" target="_blank">Facebook</a></li><?php } ?>
		<?php if ( $google_plus ) { ?><li class="google-plus"><a href="http://plus.google.com/u/<?php echo $google_plus; ?>" target="_blank">Google+</a></li><?php } ?>
		<?php if ( $twitter ) { ?><li class="twitter"><a href="http://twitter.com/<?php echo $twitter; ?>" target="_blank">Twitter</a></li><?php } ?>
		<?php if ( $pinterest ) { ?><li class="pinterest"><a href="http://pinterest.com/<?php echo $pinterest; ?>" target="_blank">Pinterest</a></li><?php } ?>
	</ul>
<?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$defaults = array(
			'title' => __( 'Social Media', 'schools' ),
			'text' => '',
			'facebook' => '',
			'google_plus' => '',
			'twitter' => '',
			'pinterest' => ''
		);

		$instance = wp_parse_args( ( array ) $instance, $defaults );
?>
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'schools' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'text' ); ?>"><?php _e( 'Text:', 'schools' ); ?></label>
		<textarea style="height:200px;" class="widefat" id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>"><?php echo stripslashes( htmlspecialchars( ( $instance['text'] ), ENT_QUOTES ) ); ?></textarea>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'facebook' ); ?>">Facebook</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['facebook'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'google_plus' ); ?>">Google+</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'google_plus' ); ?>" name="<?php echo $this->get_field_name( 'google_plus' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['google_plus'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'twitter' ); ?>">Twitter</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['twitter'] ), ENT_QUOTES ) ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>">Pinterest</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['pinterest'] ), ENT_QUOTES ) ); ?>" />
	</p>
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['text'] = stripslashes( $new_instance['text'] );
		$instance['facebook'] = stripslashes( $new_instance['facebook'] );
		$instance['google_plus'] = stripslashes( $new_instance['google_plus'] );
		$instance['twitter'] = stripslashes( $new_instance['twitter'] );
		$instance['pinterest'] = stripslashes( $new_instance['pinterest'] );

		return $instance;
	}
}

?>
