<?php get_header(); ?>
  <?php
    $slides = new WP_Query( array( 'post_type' => 'tz_slide', 'showposts' => 5 ) );
    if ( $slides->have_posts() ) {
  ?>
    <div class="slider">
      <ul class="bxslider">
        <?php while( $slides->have_posts() ) { $slides->the_post(); ?>
          <li style="background-image: url(<?php the_post_thumbnail_url(); ?>);">
            <div class="container">
              <div class="info">
                <h2><?php echo html_entity_decode( get_post_meta( get_the_ID(), '_tz_slide_custom_title', true ) ); ?></h2>
                <a href="<?php echo get_post_meta( get_the_ID(), '_tz_slide_custom_url', true ); ?>"><?php echo get_post_meta( get_the_ID(), '_tz_slide_custom_text', true ); ?></a>
              </div>
            </div>
            <!-- / content -->
          </li>
        <?php } ?>
      </ul>
      <div class="bg-bottom"></div>
    </div>
  <?php } wp_reset_query(); ?>

  <?php
    $features = new WP_Query( array( 'post_type' => 'tz_feature', 'showposts' => 6, 'orderby' => 'menu_order', 'order' => 'ASC' ) );
    if ( $features->have_posts() ) {
  ?>
    <section class="posts">
  		<div class="container">
  			<?php while( $features->have_posts() ) { $features->the_post(); ?>
          <article>
    				<div class="pic"><img width="121" src="<?php the_post_thumbnail_url(); ?>" alt=""></div>
    				<div class="info">
    					<h3><?php the_title(); ?></h3>
              <p><?php echo html_entity_decode( get_post_meta( get_the_ID(), '_tz_feature_summary', true ) ); ?></p>
    				</div>
    			</article>
        <?php } ?>
  		</div>
  		<!-- / container -->
  	</section>
  <?php } wp_reset_query(); ?>

  <?php
    $news = new WP_Query( array( 'post_type' => 'post', 'showposts' => 4 ) );
    if ( $news->have_posts() ) {
  ?>
    <section class="news">
      <div class="container">
        <h2><?php _e( 'Latest news', 'schools' ); ?></h2>
  			<?php while ( $news->have_posts() ) { $news->the_post(); ?>
          <article>
            <div class="pic"><a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url(); ?>" alt=""></a></div>
    				<div class="info">
    					<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
    					<p class="date"><?php the_time( 'F d Y' ); ?>, <?php the_author(); ?></p>
    					<p><?php echo substr( get_the_content(), 0, 100 ) . ' (...)'; ?></p>
    					<a class="more" href="<?php the_permalink(); ?>"><?php _e( 'Read more', 'schools' ); ?></a>
    				</div>
    			</article>
        <?php } ?>

        <div class="btn-holder">
  				<a class="btn" href="<?php echo get_page_link( get_theme_mod( 'tz_news_page' ) ); ?>"><?php _e( 'See archival news', 'schools' ); ?></a>
  			</div>
      </div>
    </section>
  <?php } wp_reset_query(); ?>

  <section class="events">
    <div class="container">
      <h2><?php _e( 'Upcoming events', 'schools' ); ?></h2>

      <?php
        $events = new WP_Query( array( 'post_status' => 'future', 'post_type' => 'tz_event', 'orderby' => 'date', 'order' => 'ASC', 'posts_per_page' => 4 ) );
        if ( $events->have_posts() ) {
      ?>
        <?php while( $events->have_posts() ) { $events->the_post(); ?>
          <article>
    				<div class="current-date">
    					<p><?php the_time( 'F' ); ?></p>
    					<p class="date"><?php the_time( 'd' ); ?></p>
    				</div>
    				<div class="info">
    					<p><?php echo ( get_the_excerpt() ) ? substr( get_the_excerpt(), 0, 150 ) : substr( get_the_content(), 0, 150 ); ?></p>
    					<a class="more" href="<?php the_permalink(); ?>"><?php _e( 'Read more', 'schools' ); ?></a>
    				</div>
    			</article>
        <?php } ?>

        <div class="btn-holder">
  				<a class="btn blue" href="<?php echo home_url() . '/events/'; ?>"><?php _e( 'See all upcoming events', 'schools' ); ?></a>
  			</div>
      <?php } wp_reset_query(); ?>
    </div>
  </section>

  <div class="container">
		<a href="#fancy" class="info-request">
			<span class="holder">
				<span class="title"><?php echo get_theme_mod( 'tz_contact_button_title', __( 'Request information', 'schools' ) ); ?></span>
				<span class="text"><?php echo get_theme_mod( 'tz_contact_button_description', __( 'Do you have some questions? Fill the form and get an answer!', 'schools' ) ); ?></span>
			</span>
			<span class="arrow"></span>
		</a>
	</div>
<?php get_footer(); ?>
